package it.eng.urbanite.dashboard.service.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * A DTO for the User entity.
 */
@ApiModel(description = "The User entity.")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserDTO implements Serializable {

    /**
	 * 
	 */
	private static final long serialVersionUID = 2969164029605268208L;
	
	protected String id;
    protected String username;
    protected String firstName;
    protected String lastName;
    protected String email;
    
}
