package it.eng.urbanite.dashboard.service.mapper;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import it.eng.urbanite.dashboard.model.DashboardComponent;
import it.eng.urbanite.dashboard.service.dto.DashboardComponentDTO;

/**
 * Mapper for the entity {@link DashboardComponent} and its DTO {@link DashboardComponentDTO}.
 */
@Mapper(componentModel = "spring", uses = { DashboardPageMapper.class })
public interface DashboardComponentMapper extends EntityMapper<DashboardComponentDTO, DashboardComponent> {
    @Mapping(target = "dashboardPage", source = "dashboardPage", qualifiedByName = "id")
    DashboardComponentDTO toDto(DashboardComponent s);
}
