package it.eng.urbanite.dashboard.service.mapper;

import org.mapstruct.BeanMapping;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Named;

import it.eng.urbanite.dashboard.model.DashboardPage;
import it.eng.urbanite.dashboard.service.dto.DashboardPageDTO;

/**
 * Mapper for the entity {@link DashboardPage} and its DTO {@link DashboardPageDTO}.
 */
@Mapper(componentModel = "spring", uses = {})
public interface DashboardPageMapper extends EntityMapper<DashboardPageDTO, DashboardPage> {
    @Named("id")
    @BeanMapping(ignoreByDefault = true)
    @Mapping(target = "id", source = "id")
    DashboardPageDTO toDtoId(DashboardPage dashboardPage);
}