package it.eng.urbanite.dashboard.service.mapper;

import org.mapstruct.BeanMapping;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Named;

import it.eng.urbanite.dashboard.model.MenuBlock;
import it.eng.urbanite.dashboard.service.dto.MenuBlockDTO;

/**
 * Mapper for the entity {@link MenuBlock} and its DTO {@link MenuBlockDTO}.
 */
@Mapper(componentModel = "spring", uses = {})
public interface MenuBlockMapper extends EntityMapper<MenuBlockDTO, MenuBlock> {
    @Named("id")
    @BeanMapping(ignoreByDefault = true)
    @Mapping(target = "id", source = "id")
    MenuBlockDTO toDtoId(MenuBlock menuBlock);
}
