package it.eng.urbanite.dashboard.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import it.eng.urbanite.dashboard.model.DashboardComponent;

/**
 * Spring Data SQL repository for the DashboardComponent entity.
 */
@SuppressWarnings("unused")
@Repository
public interface DashboardComponentRepository extends JpaRepository<DashboardComponent, Long>, JpaSpecificationExecutor<DashboardComponent> {}
