package it.eng.urbanite.dashboard.service.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import it.eng.urbanite.dashboard.model.enumeration.CloningOpionType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * A DTO for the DashboardPageCloningDTO
 */
@ApiModel(description = "The Dashboard Page Cloning.")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DashboardPageCloningDTO implements Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 6175490608580509545L;
	
	private Long id;
    private String dashboardName;
    private CloningOpionType option;

}
