package it.eng.urbanite.dashboard.service.mapper;

import org.mapstruct.Mapper;

import it.eng.urbanite.dashboard.model.Target;
import it.eng.urbanite.dashboard.model.TargetAvailable;
import it.eng.urbanite.dashboard.service.dto.TargetAvailableDTO;
import it.eng.urbanite.dashboard.service.dto.TargetDTO;

/**
 * Mapper for the entity {@link  TargetAvailable} and its DTO {@link TargetAvailableDTO}.
 */
@Mapper(componentModel = "spring", uses = {})
public interface TargetAvailableMapper extends EntityMapper<TargetAvailableDTO, TargetAvailable> {
    TargetDTO toDto(Target s);
}

