package it.eng.urbanite.dashboard.service.mapper;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import it.eng.urbanite.dashboard.model.Target;
import it.eng.urbanite.dashboard.service.dto.TargetDTO;

/**
 * Mapper for the entity {@link Target} and its DTO {@link TargetDTO}.
 */
@Mapper(componentModel = "spring", uses = { DashboardPageMapper.class })
public interface TargetMapper extends EntityMapper<TargetDTO, Target> {
    @Mapping(target = "dashboardPage", source = "dashboardPage", qualifiedByName = "id")
    TargetDTO toDto(Target s);
}

