package it.eng.urbanite.dashboard.service.mapper;

import org.keycloak.representations.idm.UserRepresentation;
import org.mapstruct.Mapper;

import it.eng.urbanite.dashboard.model.Target;
import it.eng.urbanite.dashboard.service.dto.UserDTO;

/**
 * Mapper for the entity {@link UserRepresentation} and its DTO {@link UserDTO}.
 */
@Mapper(componentModel = "spring", uses = {})
public interface UserMapper extends EntityMapper<UserDTO, UserRepresentation> {
    UserDTO toDto(Target s);
}

